Subject: osmo-bts.git branch jolly/trx_rebased updated. 0.3.0-245-gd7a3b63
From: [email-masked]
To: [email-masked]
Date: Sun, 6 Apr 2014 12:50:02 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Osmocom BTS-side code (Abis, scheduling, ...)".

The branch, jolly/trx_rebased has been updated
       via  d7a3b630b4f20905d3da7da80f9e895f103571ec (commit)
      from  5a8afc1957877aa2ce08283b30c4fdbceef02485 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-bts/commit/?id=d7a3b630b4f20905d3da7da80f9e895f103571ec

commit d7a3b630b4f20905d3da7da80f9e895f103571ec
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Apr 6 14:39:23 2014 +0200

    TRX: Check if Transceiver indicates an out of range clock
    
    If frame number is out of range (>= 2715648), the scheduler's process
    would end up in an infinite loop. This is because the loop would schedule
    bursts until the indicated frame number is reached, which would not be
    possible.
    
    The openbts, calypso-bts and osmo-trx might send out out of range clock
    indications every 3.5 hour.

-----------------------------------------------------------------------

Summary of changes:
 src/osmo-bts-trx/trx_if.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

hooks/post-receive
-- 
Osmocom BTS-side code (Abis, scheduling, ...)